#include "Ship.h"

Ship::Ship(Vec2 pos_in, Color cr, Color cb)
	:
	pos(pos_in),
	cr(cr),
	cb(cb)
{
}

void Ship::Update(Mouse& mouse, Keyboard & kbd)
{
	if (kbd.KeyIsPressed(VK_UP))
	{
		pos.y -= speed;
	}
	if (kbd.KeyIsPressed(VK_DOWN))
	{
		pos.y += speed;
	}
	if (kbd.KeyIsPressed(VK_LEFT))
	{
		pos.x -= speed;
	}
	if (kbd.KeyIsPressed(VK_RIGHT))
	{
		pos.x += speed;
	}


}

void Ship::Draw(Graphics & gfx)
{
	float p1x = pos.x - dimension;
	float p1y = pos.y + dimension;
	float p2x = pos.x + dimension;
	float p2y = pos.y + dimension;

	gfx.DrawLine(pos.x, pos.y, p1x, p1y, cr);
	gfx.DrawLine(pos.x, pos.y, p2x, p2y, cr);
	gfx.DrawLine(p1x, p1y, p2x, p2y, cb);






}
